"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reactBundleIncludeList = exports.defaultVendorPatternList = void 0;

var _checkIsPatternsMatchFilename = require("./loaderConfigs/checkIsPatternsMatchFilename");

const reactBundleIncludeList = ['**/node_modules/react/**/*.js', '**/node_modules/react-dom/**/*.js', '**/node_modules/react-redux/**/*.js', '**/node_modules/react-transition-group/**/*.js', '**/node_modules/scheduler/**/*.js', '**/node_modules/prop-types/**/*.js'];
exports.reactBundleIncludeList = reactBundleIncludeList;
const defaultVendorPatternList = ['**/node_modules/**/*.js', '!*.css', '!**/publicPathConfig.js', ...(0, _checkIsPatternsMatchFilename.modifyAsExclude)(['**/node_modules/script-loader/**/*.js', '**/node_modules/raw-loader/**/*.js']), ...(0, _checkIsPatternsMatchFilename.modifyAsExclude)(reactBundleIncludeList)];
exports.defaultVendorPatternList = defaultVendorPatternList;