"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.statsConfig = statsConfig;

// eslint-disable-next-line no-unused-vars
function statsConfig(options) {
  let {
    statsLogConfig
  } = options;
  statsLogConfig = statsLogConfig || {};

  if (typeof statsLogConfig === 'string') {
    return statsLogConfig;
  }

  return {
    preset: 'minimal',
    warnings: false,
    children: false,
    colors: true,
    errorDetails: true,
    ...statsLogConfig // excludeAssets: /i18n/,
    // excludeAssets: /./,
    // warningsFilter: /\[mini-css-extract-plugin\]/

  };
}