"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.startHttpServer = startHttpServer;

var _logger = require("../../logger");

function startHttpServer(app, options) {
  const {
    serverExtras
  } = options;
  const {
    httpPort,
    httpUrl
  } = serverExtras;
  app.listen(httpPort, err => {
    if (err) {
      throw err;
    }

    (0, _logger.messageLogger)(`Listening at ${httpUrl}`);
  });
  return app;
}