"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.readI18nValues = readI18nValues;

var _propertiesUtils = require("./utils/propertiesUtils");

// gethere i18n keys and values
function readI18nValues({
  jsResource,
  propertiesFolder,
  disableDefault
}) {
  const jsResourceI18nKeys = jsResource ? (0, _propertiesUtils.getPropertiesAsJSON)(jsResource) : {};
  const allI18nObject = (0, _propertiesUtils.getAllI18n)({
    folderPath: propertiesFolder,
    disableDefault,
    jsResourceI18nKeys
  }); // initialize base data's and plugis

  const locales = Object.keys(allI18nObject);
  return {
    jsResourceI18nKeys,
    allI18nObject,
    locales
  };
}