"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.entryConfig = entryConfig;

var _constants = require("../../constants");

function entryConfig(options) {
  const {
    hasEFC,
    entryFile,
    entryPointName
  } = options.efc;
  const {
    entryFile: mainEntry
  } = options.app;
  const entry = {
    main: (0, _constants.joinWithAppPath)(mainEntry)
  };

  if (hasEFC && entryFile) {
    entry[entryPointName] = (0, _constants.joinWithAppPath)(entryFile);
  }

  return entry;
}