"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.babelLoaderConfig = babelLoaderConfig;

var _babelWebConfig = require("../../../babel/babelWebConfig");

function babelLoaderConfig(options) {
  const babelConfig = (0, _babelWebConfig.babelWebConfig)(options);
  return {
    loader: 'babel-loader',
    options: { ...babelConfig,
      cacheDirectory: true
    }
  };
}