"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCssLoaderOptions = getCssLoaderOptions;

var _cssClassNameGenerate = _interopRequireDefault(require("./cssClassNameGenerate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getCssLoaderOptions(options) {
  const cssLoaderOptions = {
    importLoaders: 1,
    modules: {
      getLocalIdent: (0, _cssClassNameGenerate.default)(options)
    },
    sourceMap: true
  };
  return cssLoaderOptions;
}