"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configCSSMinifierPlugin = configCSSMinifierPlugin;

var _cssMinimizerWebpackPlugin = _interopRequireDefault(require("css-minimizer-webpack-plugin"));

var _modeUtils = require("../common/modeUtils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import UglifyCSSPlugin from '../custom_plugins/UglifyCSSPlugin';
// eslint-disable-next-line no-unused-vars
function configCSSMinifierPlugin(options) {
  const excludeList = options.optimization.cssExcludePath;

  if ((0, _modeUtils.isNotProduction)(options)) {
    return null;
  } // return null;
  // return new UglifyCSSPlugin();


  return excludeList !== '' ? new _cssMinimizerWebpackPlugin.default({
    exclude: excludeList
  }) : new _cssMinimizerWebpackPlugin.default();
}