"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.versionPrint = versionPrint;

var _child_process = require("child_process");

var _logger = require("../../logger");

var _package = _interopRequireDefault(require("../../../package.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function versionPrint(logger = _logger.messageLogger) {
  logger(`Client Build Tool Version : ${_package.default.version}`);
  logger(`Node Js Version : ${process.version}`);
  logger(`Npm Version : ${(0, _child_process.execSync)('npm --version')}`);
}